Bug 53161 - Sendmail security problems
Summary: Sendmail security problems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 19:16 UTC by ddm+rh
Modified: 2007-03-27 03:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 19:16:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ddm+rh 2001-09-04 19:16:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010808

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

The current version of sendmail available for RH 6.2 is 8.9.3, and here's a
list of security holes from 8.9.3 that were fixed in 8.10.0:


 SECURITY: The safe file checks now back track through symbolic
		links to make sure the files can't be compromised due
		to poor permissions on the parent directories of the
		symbolic link target.

	SECURITY: Only root, TrustedUser, and users in class t can rebuild
		the alias map.  Problem noted by Michal Zalewski of the
		"Internet for Schools" project (IdS).

	SECURITY: There is a potential for a denial of service attack if
		the AutoRebuildAliases option is set as a user can kill the
		sendmail process while it is rebuilding the aliases file
		(leaving it in an inconsistent state).  This option and
		its use is deprecated and will be removed from a future
		version of sendmail.

	SECURITY: Make sure all file descriptors (besides stdin, stdout,
                and stderr) are closed before restarting sendmail.  Problem 
                noted by Michal Zalewski of the "Internet for Schools" 
                project (IdS).


All versions of Sendmail prior to 8.11.6 have other security problems as
well.  The 8.11.6 release contains fixes Bugtraq IDs #2794 and #3163 which
are a DoS attack and local root compromise, respectively. When are you
planning to have 8.11.6 RPMs for Red Hat 6.2?

Thanks

Comment 1 David Lawrence 2001-09-06 14:35:21 UTC
There should be an errata in the next day or so for all releases concerning
sendmail. QA is done and it is being pushed out. Please reopen this bug report
if it doesnt show up soon.


Note You need to log in before you can comment on or make changes to this bug.